package cn.iocoder.yudao.module.bpm.convert.oa;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.worktask.BpmOAWorkTaskReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.worktask.BpmOAWorkTaskRespVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAWorkTaskDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 分配任务 Convert
 *
 * @author 芋艿
 */
@Mapper
public interface BpmOAWorkTaskConvert {

    BpmOAWorkTaskConvert INSTANCE = Mappers.getMapper(BpmOAWorkTaskConvert.class);

    BpmOAWorkTaskDO convert(BpmOAWorkTaskReqVO bean);

    BpmOAWorkTaskRespVO convert(BpmOAWorkTaskDO bean);

    List<BpmOAWorkTaskRespVO> convertList(List<BpmOAWorkTaskDO> list);

    PageResult<BpmOAWorkTaskRespVO> convertPage(PageResult<BpmOAWorkTaskDO> page);

}
